Package Details: bamf-bzr r613-1

Git Clone URL: https://aur.archlinux.org/bamf-bzr.git (read-only)
Package Base: bamf-bzr
Description: Application matching framework
Upstream URL: https://launchpad.net/bamf
Licenses: GPL
Conflicts: bamf
Provides: bamf
Submitter: None
Maintainer: alucryd
Last Packager: alucryd
Votes: 9
Popularity: 0.000000
First Submitted: 2012-06-04 03:04
Last Updated: 2015-06-08 09:10

Required by (11)

Sources (1)

Latest Comments

alucryd commented on 2015-04-29 06:46

quequotion: I haven't and probably won't because it would be meaningless. It is my understanding that bamfwatcher is only needed to prevent crashes in Unity, from which I try to stay as far as possible. I haven't experienced any crash with bamf without bamfwatcher, then again, only plank is using it.

quequotion commented on 2015-04-29 05:19

>>SolarAquarion

I don't think my package should replace this one anyhow, as mine is really for testing a hack: moving bamf's cache to /var/

>>alucryd

Have you tested it?

alucryd commented on 2015-04-28 10:54

If you mean so that quequotion can take over, then the answer is no. Arch is about providing vanilla packages, adding a bunch of files in the tarball, including C and Perl code, is not possible.

Should you want bamfwatcher, the required files have to come from the upstream bamf tarball, or you become upstream and host those files somewhere (that also means assuming all the responsabilities upstream have).

SolarAquarion commented on 2015-04-28 01:56

alucryd can you orphan it?

alucryd commented on 2013-06-24 12:58

Well, if you're using [testing] you should be able to solve easy issues like this.

3 solutions:
- Don't use [testing]. Recommended unless you have a valid reason to do so ([testing] is more cutting edge is not a good reason, that is not true at all except in rare cases, there are only 13 packages in [testing] atm, and count usually don't go much higher).
- Add 'AUTOMAKE=automake' to the configure line.
- Install gnome-common-git which should support automake 1.14.

ivenvd commented on 2013-06-23 08:57

I'm using [testing], and installed automake 1.14. Here's the error:

/bin/gnome-autogen.sh
checking for autoconf >= 2.59...
testing autoconf2.50... not found.
testing autoconf... found 2.69
checking for automake >= 1.8...
testing automake-1.13... not found.
testing automake-1.12... not found.
testing automake-1.11... not found.
testing automake-1.10... not found.
testing automake-1.9... not found.
testing automake-1.8... not found.
***Error***: You must have automake >= 1.8 installed
to build bamfdaemon. Download the appropriate package for
from your distribution or get the source tarball at
http://ftp.gnu.org/pub/gnu/automake/automake-1.8.tar.gz

alucryd commented on 2013-06-18 12:47

kebertx: Yep, issue solved upstream :) Updated the PKGBUILD, thx for the heads up!

kebertx commented on 2013-06-14 20:50

Hm. Looks like the file bamf-matcher.c is not even in the new revision, now. I got the package to build only by commenting out your patch! That's progress for you, I suppose :)

alucryd commented on 2013-06-11 08:09

Some of the issues were fixed upstream. Well, sort of, telling gcc to warn instead of throwing an error is not exactly a fix. Still one issue remains which the patch I sent them fixed, but they didn't want it apparently. That patch is still included here. Anyway, important thing is, bamf-bzr now builds again :)

bdalenoord commented on 2013-06-06 05:21

I've got bamf-bzr to install after modifying the upstream code... Bit hacky but it seems to work. More information on request. I will post back results after pantheon-session-bzr got installed.

silenc3r commented on 2013-06-05 17:48

Alucryd: yeah, I get the same error. Thanks for PKGBUILD anyway.

alucryd commented on 2013-06-05 17:42

silenc3r: New deps eh, new PKGBUILD should work, but it will still fail as badvok reported below. No answer from upstream yet.

silenc3r commented on 2013-06-05 16:23

missing python-libxslt1 and python-libxml2.
http://pastebin.com/2L64XKrJ
Neither python2-lxml nor python-lxml seem to work :/

alucryd commented on 2013-06-03 08:41

badvok: I'm getting that too. Submitted a bug report upstream.

Anonymous comment on 2013-06-02 21:17

Get an error when compiling:

bamf-application.c:646:44: error: 'G_KEY_FILE_DESKTOP_KEY_FULLNAME' undeclared (first use in this function)
G_KEY_FILE_DESKTOP_KEY_FULLNAME, NULL, NULL);

alucryd commented on 2013-05-16 16:25

Taken over and updated.

alucryd commented on 2013-05-06 17:14

dorkfish: This doesn't build anymore, PKGBUILD needs to be updated, do you mind if I take over? I have one ready.

Anonymous comment on 2012-06-04 03:05

libbamf-bzr was wildly out of date and showed no signs of life, so I created this updated working package.